{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    {
      "item": "minecraft:paper"
    },
    {
      "item": "minecraft:water_bucket"
    },
    {
      "item": "minecraft:snow_block"
    },
    {
      "item": "minecraft:snow_block"
    },
    {
      "item": "minecraft:snow_block"
    },
    {
      "item": "minecraft:snow_block"
    },
    {
      "item": "minecraft:gold_ingot"
    },
    {
      "item": "minecraft:gold_ingot"
    },
    {
      "item": "minecraft:diamond"
    }
  ],
  "result": {
    "id": "minecraft:knowledge_book"
  }
}